Bug 1119091 - SELinux is preventing /usr/bin/abrt-dump-oops from 'open' accesses on the file .
Summary: SELinux is preventing /usr/bin/abrt-dump-oops from 'open' accesses on the file .
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e42074ea0af725ca2e9d7c4fea7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 00:25 UTC by Moez Roy
Modified: 2014-07-15 22:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-15 22:52:35 UTC


Attachments (Terms of Use)

Description Moez Roy 2014-07-14 00:25:18 UTC
Description of problem:
SELinux is preventing /usr/bin/abrt-dump-oops from 'open' accesses on the file .

*****  Plugin catchall_labels (83.8 confidence) suggests   *******************

If you want to allow abrt-dump-oops to have open access on the  file
Then you need to change the label on $FIX_TARGET_PATH
Do
# semanage fcontext -a -t FILE_TYPE '$FIX_TARGET_PATH'
where FILE_TYPE is one of the following: abrt_dump_oops_exec_t, abrt_etc_t, abrt_helper_exec_t, abrt_var_cache_t, abrt_var_run_t, anon_inodefs_t, bin_t, boot_t, cpu_online_t, debugfs_t, etc_runtime_t, etc_t, ld_so_cache_t, ld_so_t, lib_t, locale_t, machineid_t, man_cache_t, man_t, mandb_cache_t, prelink_exec_t, proc_t, rkhunter_var_lib_t, rpm_script_tmp_t, shell_exec_t, sosreport_tmp_t, src_t, system_conf_t, system_db_t, textrel_shlib_t, usr_t, var_log_t. 
Then execute: 
restorecon -v '$FIX_TARGET_PATH'


*****  Plugin catchall (17.1 confidence) suggests   **************************

If you believe that abrt-dump-oops should be allowed open access on the  file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-dump-oops /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:object_r:unlabeled_t:s0
Target Objects                 [ file ]
Source                        abrt-dump-oops
Source Path                   /usr/bin/abrt-dump-oops
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-addon-kerneloops-2.2.1-2.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-176.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.15.4-200.fc20.x86_64 #1 SMP Mon
                              Jul 7 14:24:41 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-07-11 13:36:03 PDT
Last Seen                     2014-07-11 13:36:03 PDT
Local ID                      e3ec3b3f-5725-428a-b6b7-98b5367dc325

Raw Audit Messages
type=AVC msg=audit(1405110963.795:34): avc:  denied  { open } for  pid=1043 comm="abrt-dump-oops" path="/usr/lib64/liblua-5.2.so" dev="dm-0" ino=18565 scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=file


type=SYSCALL msg=audit(1405110963.795:34): arch=x86_64 syscall=open success=no exit=EACCES a0=7fca678d27a3 a1=80000 a2=7fca678bc4d0 a3=7fca647be605 items=0 ppid=1041 pid=1043 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=abrt-dump-oops exe=/usr/bin/abrt-dump-oops subj=system_u:system_r:abrt_dump_oops_t:s0 key=(null)

Hash: abrt-dump-oops,abrt_dump_oops_t,unlabeled_t,file,open

Additional info:
reporter:       libreport-2.2.2
hashmarkername: setroubleshoot
kernel:         3.15.4-200.fc20.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-07-15 22:52:35 UTC
This looks like a file without a label.

restorecon -R -v /usr

Should clean this up.


Note You need to log in before you can comment on or make changes to this bug.